import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:fw_color_contrast/src/contrast_ratio.dart';

import 'test_table.dart';

void main() {
  group('Contrast-Ratio between colors: ', () {
    test('black and white should be 21 ', () {
      expect(
          ContrastRatio.contrastBetweenColors(
              foregroundColor: const Color(0xFF000000),
              backgroundColor: const Color(0xFFFFFFFF)),
          21.0);
    });
    test('solid colors have correct contrast ratio', () {
      final testDataMap = kContrastRatiosTestTable;
      final backgroundColors = testDataMap.keys;
      for (String element in backgroundColors) {
        Map<String, double>? foregroundContrastMapping = testDataMap[element];
        foregroundContrastMapping!.forEach((key, value) {
          expect(
            ContrastRatio.contrastBetweenColors(
                foregroundColor: Color(int.parse(key)),
                backgroundColor: Color(int.parse(element))),
            value,
          );
        });
      }
    });
  });
}
