import 'package:flutter/painting.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:fw_color_contrast/src/relative_luminance.dart';

void main() {
  group('relative luminance of primaries: ', () {
    test('pure red is 0.2126', () {
      expect(
          RelativeLuminance.calculateFromColor(
              const Color.fromARGB(255, 255, 0, 0)),
          0.2126);
    });
    test('pure blue is 0.0722', () {
      expect(
          RelativeLuminance.calculateFromColor(
              const Color.fromARGB(255, 0, 0, 255)),
          0.0722);
    });
    test('pure green is 0.7152', () {
      expect(
          RelativeLuminance.calculateFromColor(
              const Color.fromARGB(255, 0, 255, 0)),
          0.7152);
    });
  });

  group('relative luminance of secondaries: ', () {
    test('yellow is 0.9278', () {
      expect(
          RelativeLuminance.calculateFromColor(
              const Color.fromARGB(255, 255, 255, 0)),
          0.9278);
    });
    test('magenta is 0.2848', () {
      expect(
          RelativeLuminance.calculateFromColor(
              const Color.fromARGB(255, 255, 0, 255)),
          0.2848);
    });

    test('cyan is 0.7874', () {
      expect(
          RelativeLuminance.calculateFromColor(
              const Color.fromARGB(255, 0, 255, 255)),
          0.7874);
    });
  });
}
